# frozen_string_literal: true

require_relative "rates_sname/version"
require "excon"
require "json"

module RatesSname
  class Error < StandardError; end
  
  class Api
    API = "https://api.exchangeratesapi.io/latest"
    
    def self.exchange(amount, from, to)
      endpoint = "#{API}?symbols=#{from},#{to}"
      response = Excon.get(endpoint)

      body = JSON.parse(response.body)
      rate = body["rates"][from]
      amount.to_f / rate.to_f
    end

    def self.working
      puts "I am working"
    end
  end


